<?php
/**
 * The template for displaying the footer
 *
 * Contains the opening of the #site-footer div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Dolpa
 * @since 1.0.0
 */
$dolpa_default = dolpa_get_default_theme_options();
$dolpa_ed_footer_scroll_top_button = get_theme_mod('dolpa_ed_footer_scroll_top_button',$dolpa_default['dolpa_ed_footer_scroll_top_button']);

/**
 * Footer Toogle Contents
 * @hooked dolpa_header_toggle_search - 10
 * @hooked dolpa_content_gallery - 20
 * @hooked dolpa_content_offcanvas - 30
*/

do_action('dolpa_before_footer_content_action'); ?>


<footer id="site-footer" role="contentinfo">

    <?php
    $dolpa_default = dolpa_get_default_theme_options();
    /**
     * Footer Content
    */
    if( !is_page_template('templates/template-aside-metro.php') && !is_page_template('templates/template-aside-lateral.php') ){
        do_action('dolpa_footer_content_widget_action');
    }

    do_action('dolpa_footer_content_info_action');
    
    if( $dolpa_ed_footer_scroll_top_button ){ ?>

        <button type="button" class="scroll-up">
            <i class="ion ion-md-arrow-dropup"></i>
        </button>
    
    <?php } ?>

</footer>
</div>
</div><!-- #page -->
<?php wp_footer(); ?>
</body>
</html>
