<?php
/**
* Layouts Settings.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'layout_setting',
	array(
	'title'      => esc_html__( 'Layout Settings', 'dolpa' ),
	'priority'   => 60,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Global Sidebar Layout.
$wp_customize->add_setting( 'global_sidebar_layout',
	array(
	'default'           => $dolpa_default['global_sidebar_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_sidebar_option',
	)
);
$wp_customize->add_control( 'global_sidebar_layout',
	array(
	'label'       => esc_html__( 'Global Sidebar Layout', 'dolpa' ),
	'section'     => 'layout_setting',
	'type'        => 'select',
	'choices'     => array(
		'right-sidebar' => esc_html__( 'Right Sidebar', 'dolpa' ),
		'left-sidebar'  => esc_html__( 'Left Sidebar', 'dolpa' ),
		'no-sidebar'    => esc_html__( 'No Sidebar', 'dolpa' ),
	    ),
	)
);

// Archive Layout.
$wp_customize->add_setting(
    'dolpa_archive_layout',
    array(
        'default' 			=> $dolpa_default['dolpa_archive_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_archive_layout'
    )
);
$wp_customize->add_control(
    new Dolpa_Custom_Radio_Image_Control( 
        $wp_customize,
        'dolpa_archive_layout',
        array(
            'settings'      => 'dolpa_archive_layout',
            'section'       => 'layout_setting',
            'label'         => esc_html__( 'Archive Layout', 'dolpa' ),
            'choices'       => array(
            	'default'  => get_template_directory_uri() . '/assets/images/archive-style-1.png',
                'lateral'  => get_template_directory_uri() . '/assets/images/archive-style-2.png',
                'metro'  => get_template_directory_uri() . '/assets/images/archive-style-3.png',
                'masonry'  => get_template_directory_uri() . '/assets/images/archive-style-4.png',
            )
        )
    )
);
