<?php
/**
* Layouts Settings.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();
$dolpa_post_category = dolpa_post_category_list();

// Layout Section.
$wp_customize->add_section( 'template_cover_sidebar_setting',
	array(
	'title'      => esc_html__( 'Template Cover Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

// Global Sidebar Layout.
$wp_customize->add_setting( 'template_cover_sidebar_layout',
	array(
	'default'           => $dolpa_default['template_cover_sidebar_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_sidebar_option',
	)
);
$wp_customize->add_control( 'template_cover_sidebar_layout',
	array(
	'label'       => esc_html__( 'Template Cover Sidebar Layout', 'dolpa' ),
	'section'     => 'template_cover_sidebar_setting',
	'type'        => 'select',
	'choices'     => array(
		'right-sidebar' => esc_html__( 'Right Sidebar', 'dolpa' ),
		'left-sidebar'  => esc_html__( 'Left Sidebar', 'dolpa' ),
		'no-sidebar'    => esc_html__( 'No Sidebar', 'dolpa' ),
	    ),
	)
);

$wp_customize->add_setting('dolpa_template_header_overlay',
    array(
        'default' => $dolpa_default['dolpa_template_header_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_template_header_overlay',
    array(
        'label' => esc_html__('Enable Header Overlay', 'dolpa'),
        'section' => 'template_cover_sidebar_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_template_cover_banner',
    array(
        'default' => $dolpa_default['ed_template_cover_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_cover_banner',
    array(
        'label' => esc_html__('Enable Header Banner', 'dolpa'),
        'section' => 'template_cover_sidebar_setting',
        'type' => 'checkbox',
    )
);

// Layout Section.
$wp_customize->add_section( 'template_carousel_settings',
	array(
	'title'      => esc_html__( 'Template Carousel Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

// Global Sidebar Layout.
$wp_customize->add_setting( 'template_carousel_sidebar_settings',
	array(
	'default'           => $dolpa_default['template_carousel_sidebar_settings'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_sidebar_option',
	)
);
$wp_customize->add_control( 'template_carousel_sidebar_settings',
	array(
	'label'       => esc_html__( 'Template Carousel Sidebar Layout', 'dolpa' ),
	'section'     => 'template_carousel_settings',
	'type'        => 'select',
	'choices'     => array(
		'right-sidebar' => esc_html__( 'Right Sidebar', 'dolpa' ),
		'left-sidebar'  => esc_html__( 'Left Sidebar', 'dolpa' ),
		'no-sidebar'    => esc_html__( 'No Sidebar', 'dolpa' ),
	    ),
	)
);

$wp_customize->add_setting('ed_template_carousel_banner',
    array(
        'default' => $dolpa_default['ed_template_carousel_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_carousel_banner',
    array(
        'label' => esc_html__('Enable Header Banner', 'dolpa'),
        'section' => 'template_carousel_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'template_carousel_slider_category',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_select',
	)
);
$wp_customize->add_control( 'template_carousel_slider_category',
	array(
	'label'       => esc_html__( 'Template Slider Category', 'dolpa' ),
	'section'     => 'template_carousel_settings',
	'type'        => 'select',
	'choices'     => $dolpa_post_category
	)
);

$wp_customize->add_setting('ed_template_carousel_arrow',
    array(
        'default' => $dolpa_default['ed_template_carousel_arrow'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_carousel_arrow',
    array(
        'label' => esc_html__('Enable Arrows', 'dolpa'),
        'section' => 'template_carousel_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_template_carousel_dots',
    array(
        'default' => $dolpa_default['ed_template_carousel_dots'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_carousel_dots',
    array(
        'label' => esc_html__('Enable Dots', 'dolpa'),
        'section' => 'template_carousel_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_template_carousel_autoplay',
    array(
        'default' => $dolpa_default['ed_template_carousel_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_carousel_autoplay',
    array(
        'label' => esc_html__('Enable Autoplay', 'dolpa'),
        'section' => 'template_carousel_settings',
        'type' => 'checkbox',
    )
);

// Layout Section.
$wp_customize->add_section( 'template_slider_settings',
	array(
	'title'      => esc_html__( 'Template Slider Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

// Global Sidebar Layout.
$wp_customize->add_setting( 'template_slider_sidebar_settings',
	array(
	'default'           => $dolpa_default['template_slider_sidebar_settings'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_sidebar_option',
	)
);
$wp_customize->add_control( 'template_slider_sidebar_settings',
	array(
	'label'       => esc_html__( 'Template Slider Sidebar Layout', 'dolpa' ),
	'section'     => 'template_slider_settings',
	'type'        => 'select',
	'choices'     => array(
		'right-sidebar' => esc_html__( 'Right Sidebar', 'dolpa' ),
		'left-sidebar'  => esc_html__( 'Left Sidebar', 'dolpa' ),
		'no-sidebar'    => esc_html__( 'No Sidebar', 'dolpa' ),
	    ),
	)
);

$wp_customize->add_setting('ed_template_slider_banner',
    array(
        'default' => $dolpa_default['ed_template_slider_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_slider_banner',
    array(
        'label' => esc_html__('Enable Header Banner', 'dolpa'),
        'section' => 'template_slider_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'template_slider_category',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'dolpa_sanitize_select',
	)
);
$wp_customize->add_control( 'template_slider_category',
	array(
	'label'       => esc_html__( 'Template Slider Category', 'dolpa' ),
	'section'     => 'template_slider_settings',
	'type'        => 'select',
	'choices'     => $dolpa_post_category
	)
);

$wp_customize->add_setting('ed_template_slider_arrows',
    array(
        'default' => $dolpa_default['ed_template_slider_arrows'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_slider_arrows',
    array(
        'label' => esc_html__('Enable Arrows', 'dolpa'),
        'section' => 'template_slider_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_template_slider_dots',
    array(
        'default' => $dolpa_default['ed_template_slider_dots'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_slider_dots',
    array(
        'label' => esc_html__('Enable Dots', 'dolpa'),
        'section' => 'template_slider_settings',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_template_slider_autoplay',
    array(
        'default' => $dolpa_default['ed_template_slider_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_template_slider_autoplay',
    array(
        'label' => esc_html__('Enable Autoplay', 'dolpa'),
        'section' => 'template_slider_settings',
        'type' => 'checkbox',
    )
);

// Layout Section.
$wp_customize->add_section( 'template_aside_default_settings',
	array(
	'title'      => esc_html__( 'Template Aside Default Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

$wp_customize->add_setting('template_aside_default_banner_ed',
    array(
        'default' => $dolpa_default['template_aside_default_banner_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('template_aside_default_banner_ed',
    array(
        'label' => esc_html__('Enable Main Banner', 'dolpa'),
        'section' => 'template_aside_default_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'template_aside_default_banner_post_id',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'template_aside_default_banner_post_id',
	array(
	'label'       => esc_html__( 'Main Banner Post ID', 'dolpa' ),
	'section'     => 'template_aside_default_settings',
	'type'        => 'number',
    'active_callback' => 'dolpa_template_aside_default_banner_post_id_ac'
	)
);

// Layout Section.
$wp_customize->add_section( 'template_aside_lateral_settings',
	array(
	'title'      => esc_html__( 'Template Aside Lateral Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

$wp_customize->add_setting('template_aside_lateral_banner_ed',
    array(
        'default' => $dolpa_default['template_aside_lateral_banner_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('template_aside_lateral_banner_ed',
    array(
        'label' => esc_html__('Enable Main Banner', 'dolpa'),
        'section' => 'template_aside_lateral_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'template_aside_lateral_banner_post_id',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'template_aside_lateral_banner_post_id',
	array(
	'label'       => esc_html__( 'Main Lateral Post ID', 'dolpa' ),
	'section'     => 'template_aside_lateral_settings',
	'type'        => 'number',
    'active_callback' => 'dolpa_template_aside_lateral_banner_post_id'
	)
);

// Layout Section.
$wp_customize->add_section( 'template_aside_metro_settings',
	array(
	'title'      => esc_html__( 'Template Aside Metro Setting', 'dolpa' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_template_pannel',
	)
);

$wp_customize->add_setting('template_aside_metro_banner_ed',
    array(
        'default' => $dolpa_default['template_aside_metro_banner_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('template_aside_metro_banner_ed',
    array(
        'label' => esc_html__('Enable Main Banner', 'dolpa'),
        'section' => 'template_aside_metro_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'template_aside_metro_banner_post_id',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'template_aside_metro_banner_post_id',
	array(
	'label'       => esc_html__( 'Main Metro Post ID', 'dolpa' ),
	'section'     => 'template_aside_metro_settings',
	'type'        => 'number',
    'active_callback' => 'dolpa_template_aside_metro_banner_post_id'
	)
);
