<?php
/**
* Widget FUnctions.
*
* @package Dolpa
*/

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function dolpa_widgets_init(){
    
    register_sidebar( array(
        'name' => esc_html__('Sidebar', 'dolpa'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'dolpa'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widget-title entry-title-big">',
        'after_title' => '</h2>',
    ));

    $dolpa_default = dolpa_get_default_theme_options();
    $dolpa_footer_columns = absint( get_theme_mod( 'dolpa_footer_columns',$dolpa_default['dolpa_footer_columns'] ) );

    for( $i = 0; $i < $dolpa_footer_columns; $i++ ){
        
        if( $i == 0 ){ $count = esc_html__('One','dolpa'); }
        if( $i == 1 ){ $count = esc_html__('Two','dolpa'); }
        if( $i == 2 ){ $count = esc_html__('Three','dolpa'); }

        register_sidebar( array(
            'name' => esc_html__('Footer Widget ', 'dolpa').$count,
            'id' => 'dolpa-footer-widget-'.$i,
            'description' => esc_html__('Add widgets here.', 'dolpa'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widget-title entry-title-big">',
            'after_title' => '</h2>',
        ));
    }

}

add_action('widgets_init', 'dolpa_widgets_init');